Eclipse Platform Release 3.7

## org.eclipse.debug.core.model
Interface IFilteredStep

All Superinterfaces:
  IStep

Deprecated. clients should implement `IStepFilters` instead

    public interface IFilteredStep

extends IStep

Provides the ability to perform a filtered step. Implementations must be non- blocking. Filter implementation is debug model specific and may not be supported by all debug models.

Clients may implement this interface.

Since:
  2.1

Method Summary
`boolean` `canStepWithFilters()` Deprecated. Returns whether this element can currently perform a filtered step into.
`void` `stepWithFilters()` Deprecated. Steps into the current statement, generating `RESUME` and `SUSPEND` events for the associated thread, applying step filters, as applicable for the associated thread.

Methods inherited from interface org.eclipse.debug.core.model.IStep
`canStepInto, canStepOver, canStepReturn, isStepping, stepInto, stepOver, stepReturn`

Method Detail

### canStepWithFilters

    boolean canStepWithFilters()

  Deprecated.
  Returns whether this element can currently perform a filtered step into.

  Returns:
    whether this element can currently perform a filtered step into

### stepWithFilters

    void stepWithFilters()
                         throws DebugException

  Deprecated.
  Steps into the current statement, generating `RESUME` and `SUSPEND` events for the associated thread, applying step filters, as applicable for the associated thread. Can only be called when the associated thread is suspended. Implementations must implement stepping as non- blocking.

  Throws:
    `DebugException` - on failure. Reasons include:
    - TARGET_REQUEST_FAILED - The request failed in the target
    - NOT_SUPPORTED - The capability is not supported by the target

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.